%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	Sybase
Summary:	DBD::Sybase - Sybase database driver for the DBI module
Summary(pl.UTF-8):	DBD::Sybase - sterownik DBI do bazy danych Sybase
Name:		perl-DBD-Sybase
Version:	1.15
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d76f09f9a25896fd879ef89a98748708
Patch0:		x32.patch
URL:		http://search.cpan.org/dist/DBD-Sybase/
BuildRequires:	freetds-devel
BuildRequires:	perl-DBI >= 1.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::Sybase is a Perl module which works with the DBI module to
provide access to Sybase databases. With FreeTDS DBD::Sybase can be
also used to query a MS-SQL 7 or 2000 database server from a
UNIX/Linux host.

%description -l pl.UTF-8
DBD::Sybase jest modułem Perla współpracującym z modułem DBI i
umożliwiającym dostęp do baz danych Sybase. Przy wykorzystaniu
FreeTDS, DBD::Sybase można również wykorzystać do dostępu z poziomu
Uniksa/Linuksa do serwerów bazodanowych MS-SQL 7 lub 2000.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
SYBASE=/usr ; export SYBASE
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as man
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/DBD/dbd-sybase.pod

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README
%{perl_vendorarch}/DBD/Sybase.pm
%dir %{perl_vendorarch}/auto/DBD/Sybase
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/DBD::Sybase.3*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-Sybase.git;a=log;h=auto/th/perl-DBD-Sybase-1.15-3

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e581202
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 50f1922
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Mon Apr 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 087354c
- check-files cleanup

* Sun Mar 26 2017 Adam Osuchowski <adwol@pld-linux.org> 0fbe2e6
- up to 1.15

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e3cad7f
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9ffc309
- release 7 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 13e3077
- removed non-working s/// hackery
- fixed build on x32
- rel 6

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3671223
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 891a22c
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 58889c5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 589edcf
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b10d794
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> f18039b
- up to 1.14

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 7a43eaa
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 7c1bf9b
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f04df8d
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> da7c6d2
- release 2

* Sat Sep 06 2008 hawk <hawk@pld-linux.org> d501b07
- updated to 1.09

* Mon Jul 21 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3c22211
- release 3

* Mon Jun 16 2008 hawk <hawk@pld-linux.org> b712fb8
- release 2

